/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/CTAB.CPP   1.4   20 Jun 1996 09:29:24   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/CTAB.CPP  $
** 
**    Rev 1.4   20 Jun 1996 09:29:24   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.2   10 Jun 1996 10:24:00   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.0   29 May 1996 09:35:36   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// ctab.cpp
//
// Michael Long
//                                                                           
// 5/15/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"    
#include "cc.h"
#include "ccoption.h"
#include "ca.h"
#include "caoption.h"
#include "cl.h"
#include "cloption.h"
#include "ce.h"
#include "ceoption.h"
#include "ctab.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
IMPLEMENT_DYNAMIC(CCTab, CPropertySheet)                                                

/////////////////////////////////////////////////////////////////////////////
// CCTab

CCTab::CCTab(CCTool * pc, CATool * pa, CLTool * pl,CETool *pe, CWnd *pParent)
 : CPropertySheet("2500AD Options", pParent),
    m_copt(pc), m_aopt(pa), m_lopt(pl), m_eopt(pe)
{
    AddPage(&m_copt);
    AddPage(&m_aopt);
    AddPage(&m_lopt);                             
    AddPage(&m_eopt);
}

CCTab::~CCTab()
{
}

BEGIN_MESSAGE_MAP(CCTab, CPropertySheet)
    //{{AFX_MSG_MAP(CCTab)
    ON_WM_CREATE()
    ON_COMMAND(IDOK, OnOK)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCTab message handlers


int CCTab::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
    if (CPropertySheet::OnCreate(lpCreateStruct) == -1)
        return -1;
    
    // TODO: Add your specialized creation code here
    CenterWindow();
    
    GetDlgItem(ID_APPLY_NOW)->ShowWindow(SW_HIDE);
    
    return 0;
}

void CCTab::OnOK()
{
    GetActivePage()->UpdateData(TRUE);

    m_copt.SaveData();
    m_aopt.SaveData();
    m_lopt.SaveData();
    m_eopt.SaveData();
    
    CPropertySheet::OnOK();
}                           
